### Function

# St describe_actor

since: 14

#### Declaration [src]

    char*
    st_describe_actor (
      ClutterActor* actor
    )

#### Description [src]

Creates a string describing `actor`, for use in debugging. This includes the class name and actor name (if any), plus if `actor` is an `StWidget`, its style class and pseudo class names.

Available since: 14

#### Parameters

`actor`

  Type: `ClutterActor`

  A `ClutterActor`.

  The data is owned by the caller of the function.

#### Return value

Type: `char*`

The debug name.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.